$!-----------------------------------------------------------------------------
$! BUILD_YAHMAIL.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 22-JUN-1999  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ IF P1 .EQS. "MIME"
$ THEN
$    SET DEFAULT [.MUNPACK]
$    @BUILD_YAHMAIL "''P2'"
$    SET DEFAULT [-]
$    EXIT
$ ENDIF
$!
$ IF P2 .EQS. ""
$ THEN
$    LANGUAGE = "EN"
$ ELSE
$    LANGUAGE = P2
$ ENDIF
$!
$ APPLICATION = "YAHMAIL"
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""''APPLICATION'""" +-
  " for ""''F$GETSYI("ARCH_NAME")'"" for an OSU/Purveyor environment"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
            "__CRTL_VER=60000000," +-
            "CGILIB_INCLUDE_H=""""""./cgilib.h""""""," +-
            "CGILIB_INCLUDE_C=""""""./cgilib.c"""""")"
$!
$ LINK_OPTIONS = F$SEARCH("''APPLICATION'_''ARCH_NAME'.OPT")
$ IF LINK_OPTIONS .NES. "" -
     THEN LINK_OPTIONS = "," + F$ELEMENT(0,";",LINK_OPTIONS) + "/OPTIONS"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /OPTIM /STAND=VAXC /NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ELSE
$    CC_OPTIONS = "/DECC /OPTIM /STAND=VAXC /NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' yahMAIL
$    CC 'CC_OPTIONS' lang_en
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /noTRACE /EXECUTABLE=YAHMAIL_'ARCH_NAME'.EXE /noDEBUG -
     'OBJECT_DIR'yahMAIL',lang_'LANGUAGE''LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE YAHMAIL_'ARCH_NAME'.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
